import Global from '../../_global.mdx';
import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# entra m365group teamify

Creates a new Microsoft Teams team under existing Microsoft 365 group

## Usage

```sh
m365 entra m365group teamify [options]
```

## Options

```md definition-list
`-i, --id [id]`
: The ID of the Microsoft 365 Group to connect to Microsoft Teams. Specify either `id`, `displayName` or `mailNickname`, but not multiple.

`-n, --displayName [displayName]`
: Display name of the Microsoft 365 Group to connect to Microsoft Teams. Specify either `id`, `displayName` or `mailNickname`, but not multiple.

`--mailNickname [mailNickname]`
: The mail alias of the Microsoft 365 Group to connect to Microsoft Teams. Specify either `id`, `displayName` or `mailNickname`, but not multiple.
```

<Global />

<Tabs>
  <TabItem value="Delegated">

  | Resource        | Permissions         |
  |-----------------|---------------------|
  | Microsoft Graph | Group.ReadWrite.All |

  </TabItem>
  <TabItem value="Application">

  | Resource        | Permissions         |
  |-----------------|---------------------|
  | Microsoft Graph | Group.ReadWrite.All |

  </TabItem>
</Tabs>

## Examples

Creates a new Microsoft Teams team under existing Microsoft 365 group with the specified id.

```sh
m365 entra m365group teamify --id e3f60f99-0bad-481f-9e9f-ff0f572fbd03
```

Creates a new Microsoft Teams team under existing Microsoft 365 group with the specified displayName.

```sh
m365 entra m365group teamify --displayName Finance
```

Creates a new Microsoft Teams team under existing Microsoft 365 group with the specified mailNickname._

```sh
m365 entra m365group teamify --mailNickname GroupName
```

## Response

The command won't return a response on success.